---
stages:
  - test
  - build
  - publish

include:
  - project: saltstack/pop/cicd/ci-templates
    file: /docswork/url-tester-brok.yml

workflow:
  rules:
    - if: $CI_MERGE_REQUEST_ID == null

url-tester-brok:
  stage: test

pre-commit:
  stage: test
  image: python:3.8-buster
  script:
    - pip install -U pip setuptools wheel
    - pip install -r requirements-dev.txt
    - pre-commit install
    - pre-commit run -a -v --color always

build-site:
  stage: build
  image: python:3.8
  script:
    - pip install -U pip setuptools wheel
    - pip install -r requirements-dev.txt
    - nox -e 'docs-html(clean=True)'
    - mv docs/_build/html html
  artifacts:
    paths:
      - html
    expire_in: 30 days

pages:
  stage: publish
  image: alpine:3.12
  script:
    - mv html public
    - 'echo "Gitlab Pages available at: ${CI_PAGES_URL}"'
  artifacts:
    paths:
      - public
    expire_in: 30 days
